Page MenuHomePhabricator

Coordinating signature preference validation changes
Closed, ResolvedPublic

Description

Editing-team is working on adding new validation for user signatures in preferences. This is motivated by DiscussionTools, which needs the signatures to be "machine-readable" so that we can reliably detect users' comments, but other tools would also benefit and some of these have been requested a long time ago.

We're working on:

This task is mostly to work out how we're going to consult and announce the changes, which will happen together for all three changes, and maybe other things which apply equally to all of them.

Related Objects

Event Timeline

matmarex created this task.Feb 6 2020, 6:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2020, 6:37 PM
matmarex claimed this task.Feb 6 2020, 6:38 PM
matmarex added a subscriber: JTannerWMF.
matmarex renamed this task from Coordinating signature validation changes to Coordinating signature preference validation changes.Feb 6 2020, 10:00 PM
matmarex added a subscriber: Whatamidoing-WMF.

Draft of the notification/feedback-request page: https://meta.wikimedia.org/wiki/New_requirements_for_user_signatures

Next steps:

  • @ppelberg @Whatamidoing-WMF (and anyone else, feel free to edit the page): please review and fill in the blanks.
    • In particular, when would we like to release this? The development is done, I think we just need to decide how long do we want to keep this open for. Maybe… late March?
    • I'm thinking that maybe I should cut Disallow "nested" substitution in signature from the documentation page. It's unlikely to be encountered by any good-faith users and it's difficult to explain.
  • Enable translation of the page?
  • Once we're done, announce a request for feedback (in Tech News? as a separate mass message?)

I'd also like to move the existing documentation for the lint errors, which was written for the Linter extension (e.g. https://www.mediawiki.org/wiki/Help:Extension:Linter/missing-end-tag), to more generic titles (e.g. "Help:Lint errors/missing-end-tag"). However the pages are marked for translation and apparently normal humans can't move those. Is it even possible to do, and how would we get that done? (Or is it a bad idea to move them?)

I have added some text to the help page (thanks for starting it!) and copy-edited it a bit.

I propose that we start a discussion about this proposed change on the en.WP Village Pump (technical), which has a lot of opinionated watchers who may be able to help us find flaws in the plan.

Date: Not Wednesday, April 1st. Otherwise, any time ≥30 days from now is okay with me.

What to include: You're going to prevent signature forgeries in software? That's great news. Let's keep that. (I re-wrote it for you.)

Translation: Yes, let's set it up for translation. I just did a quick copyedit, so you should review my changes before we request translations.

Announcements: This should be included in User-notice, and can be included in the Editing newsletter (Tech/News is more important). A note at https://en.wikipedia.org/wiki/Wikipedia:Bots/Noticeboard and wikitech-l would be friendly.

I'd also like to move the existing documentation for the lint errors, which was written for the Linter extension (e.g. https://www.mediawiki.org/wiki/Help:Extension:Linter/missing-end-tag), to more generic titles (e.g. "Help:Lint errors/missing-end-tag"). However the pages are marked for translation and apparently normal humans can't move those. Is it even possible to do, and how would we get that done? (Or is it a bad idea to move them?)

It is possible to move those pages, and IMO the most reliable mechanism is to beg @Quiddity to do it, or at least to tell you how to do it. It's a brittle process that has to be done in exactly the correct order.

or at least to tell you how to do it

Essentially, you need to move the individual translated-pages one-by-one.
You Must Not move the parent page first, because the translations of the subpages will not be moved along with it. (However, I believe this is now already impossible to mess up, due to T114592: A translatable subpage page should not be messed while moving subpages being resolved, which should block the parent page-move from happening IIUC, but I haven't tested it personally.)

I.e. You should first page-move [[Help:Extension:Linter/deletable-table-tag]]
and then page-move [[Help:Extension:Linter/pwrap-bug-workaround]]
and then .... [x16 for all the translated subpages]
and then finally, page-move [[Help:Extension:Linter]]

ppelberg added a comment.EditedFeb 24 2020, 4:31 PM

Draft of the notification/feedback-request page: https://meta.wikimedia.org/wiki/New_requirements_for_user_signatures

Next steps:

This is looking good, @matmarex and thank you for your edits @Jonesey95.

Regarding the questions posed around timing, translations, and where to announce these changes and invite feedback, +1 to everything @Whatamidoing-WMF said with the addition of us mentioning this in our next project update.

Outside of the above, I've gone in and made edits in an effort to make it more inviting/participatory [1]. I also have a couple remaining questions:

Open questions

  • @matmarex: What exactly are we asking from the people reading this? I ask this considering the final sentence of the draft alluded to the fact that we're seeking feedback. Here are some draft questions: Input: your feedback
  • The proposal mentioned the additional consistency will enable features like "notifications"...what kinds of notifications? Does this refer to being able to watch specific talk page conversations? Being able to opt-in to receiving notifications when someone responds to your comment? Something else? I ask this because I'd like for us to be as specific as possible about how this change will benefit the people reading this.//

  1. "This task is mostly to work out how we're going to consult and announce the changes..." leads me to think we are seeking input. As such, the edits I made were with this in mind.

@ppelberg Thanks, I made some minor tweaks.

For "How will we know what changes are happening?", I think we should just put another notice in tech news. This won't be an ongoing project.

This should clarify the parts you had questions about:

I'd also like to move the existing documentation for the lint errors, which was written for the Linter extension (e.g. https://www.mediawiki.org/wiki/Help:Extension:Linter/missing-end-tag), to more generic titles (e.g. "Help:Lint errors/missing-end-tag"). However the pages are marked for translation and apparently normal humans can't move those. Is it even possible to do, and how would we get that done? (Or is it a bad idea to move them?)

It is possible to move those pages, and IMO the most reliable mechanism is to beg @Quiddity to do it, or at least to tell you how to do it. It's a brittle process that has to be done in exactly the correct order.

Essentially, you need to move the individual translated-pages one-by-one.
You Must Not move the parent page first, because the translations of the subpages will not be moved along with it. (However, I believe this is now already impossible to mess up, due to T114592: A translatable subpage page should not be messed while moving subpages being resolved, which should block the parent page-move from happening IIUC, but I haven't tested it personally.)

Okay, I moved everything. (I did not want to move the main "Help:Extension:Linter" page, only its subpages.)

@ppelberg Thanks, I made some minor tweaks.

They look good.

Note: I changed the wording of the third question in the "Input: your feedback" section to make it a bit more clear. If I've misunderstood the intention of this questions, please revise it.

For "How will we know what changes are happening?", I think we should just put another notice in tech news. This won't be an ongoing project.

Understood RE this not being an ongoing project. I still think there would be value in including it in the broader updates we share.

This should clarify the parts you had questions about:

  • @matmarex The elimination of this question [1] leads me to think we're not open to these validation rules changing...is this true? If so, why? Is this a software constraint?

Looks good.


Next steps

  • Once we resolve the above and we know when this will be published, I think we should add information to the == Input: your feedback section that includes when the comment period will close.

  1. 'What edits do you think should be made to the proposed signature validation rules?'''

@matmarex The elimination of this question [1] leads me to think we're not open to these validation rules changing...is this true? If so, why? Is this a software constraint?

  1. 'What edits do you think should be made to the proposed signature validation rules?'''

No, mostly I want to discourage requests for more validation rules… With the way you phrased it, I'd expect folks to come up with ideas to disallow tiny font size, or inline image icons, or tons of other things (https://en.wikipedia.org/wiki/Wikipedia:Signatures#Appearance_and_color), and we definitely don't want to work on that.

I'm much more open to requests for removing some of the proposed validation rules – I think the first question ("Would these signature validations create any problems on your wiki?") implies that.

@matmarex The elimination of this question [1] leads me to think we're not open to these validation rules changing...is this true? If so, why? Is this a software constraint?

  1. 'What edits do you think should be made to the proposed signature validation rules?'''

No, mostly I want to discourage requests for more validation rules… With the way you phrased it, I'd expect folks to come up with ideas to disallow tiny font size, or inline image icons, or tons of other things (https://en.wikipedia.org/wiki/Wikipedia:Signatures#Appearance_and_color), and we definitely don't want to work on that.

That makes sense. Thank you for explaining this.

I'm much more open to requests for removing some of the proposed validation rules – I think the first question ("Would these signature validations create any problems on your wiki?") implies that.

Agreed, ok.


With the above in mind, the draft [i] looks good to me, save for one thing:

  • ADD information about how long the RfC will be open for comment.
    • Although, based on a conversation with @Whatamidoing-WMF, it sounds like the comment window for the RfC is something TechCom will decide and communicate as part of the RfC review process [ii.].

i. Draft: https://www.mediawiki.org/wiki/New_requirements_for_user_signatures
ii. Review process: https://www.mediawiki.org/wiki/Requests_for_comment/Process

Quiddity removed a subscriber: Quiddity.Mar 4 2020, 7:12 AM

In our team's Planning meeting it was determined @ppelberg would create a phab task for @Whatamidoing-WMF to get community feedback and not go through an RFC.

In our team's Planning meeting it was determined @ppelberg would create a phab task for @Whatamidoing-WMF to get community feedback and not go through an RFC.

Task created. See: T247046

With the above in mind, I'm going to close this task. @matmarex, please re-open this task if you think there is still work to be done on this.

ppelberg closed this task as Resolved.Mar 6 2020, 1:44 AM